Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84778

Summary: keyboard pc104euro broken
Product: [Retired] Red Hat Linux Reporter: Gerald Teschl <gt>
Component: kdebaseAssignee: Petr Rockai <prockai>
Status: CLOSED CANTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 18:36:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gerald Teschl 2003-02-21 10:13:16 UTC
Description of problem:
I have an us keyboard with us as primary and de as secondary layout.
I just changed Primary variant from pc101 to pc104euro in the hope
that I will get the euro key working under kde (it will not). However, this
will make the keyboard act as if the de layout is selected even
if us is selected. Moreover, changing Primary layout back to its
original setting pc101 will not restore the orignal behaviour
even after a full login-logout. The only way to fix this I found
was: logout, remove the config file kxkbrc, login. The same
happens if I change from pc101 to pc104 (this keyboard has 104 keys).



Version-Release number of selected component (if applicable):
kdebase-3.1-6
kdelibs-3.1-4

How reproducible:
100%

Steps to Reproduce:
1. Enable keyboard layouts in kcc
2. Set us as primary layout
3. Enable de as additinal layout
4. Change primary variant to pc104 or pc104euro

Actual results:
Type a y and you will get a z even with us selected

Expected results:
y should give a y;-)

Comment 1 Gerald Teschl 2003-04-21 10:37:16 UTC
Still present in kdebase-3.1-12, kdelibs-3.1-10.


Comment 2 Petr Rockai 2006-07-17 18:45:04 UTC
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.

Comment 3 Bill Nottingham 2006-10-18 18:36:03 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.